Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
convert to tesh
[simgrid.git] / examples / simdag / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21 srcdir = @srcdir@
22 top_srcdir = @top_srcdir@
23 VPATH = @srcdir@
24 pkgdatadir = $(datadir)/@PACKAGE@
25 pkglibdir = $(libdir)/@PACKAGE@
26 pkgincludedir = $(includedir)/@PACKAGE@
27 top_builddir = ../..
28 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
29 INSTALL = @INSTALL@
30 install_sh_DATA = $(install_sh) -c -m 644
31 install_sh_PROGRAM = $(install_sh) -c
32 install_sh_SCRIPT = $(install_sh) -c
33 INSTALL_HEADER = $(INSTALL_DATA)
34 transform = $(program_transform_name)
35 NORMAL_INSTALL = :
36 PRE_INSTALL = :
37 POST_INSTALL = :
38 NORMAL_UNINSTALL = :
39 PRE_UNINSTALL = :
40 POST_UNINSTALL = :
41 build_triplet = @build@
42 host_triplet = @host@
43 target_triplet = @target@
44 check_PROGRAMS = sd_test$(EXEEXT)
45 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
46         $(srcdir)/test_simdag.in $(top_srcdir)/acmacro/dist-files.mk
47 subdir = examples/simdag
48 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
49 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
50         $(top_srcdir)/acmacro/compiler-flags.m4 \
51         $(top_srcdir)/acmacro/context.m4 \
52         $(top_srcdir)/acmacro/fancy_configury.m4 \
53         $(top_srcdir)/acmacro/flex.m4 \
54         $(top_srcdir)/acmacro/gras_arch.m4 \
55         $(top_srcdir)/acmacro/print_null.m4 \
56         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
57 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
58         $(ACLOCAL_M4)
59 mkinstalldirs = $(install_sh) -d
60 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
61 CONFIG_CLEAN_FILES = test_simdag
62 am_sd_test_OBJECTS = sd_test.$(OBJEXT)
63 sd_test_OBJECTS = $(am_sd_test_OBJECTS)
64 sd_test_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
65 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
66 depcomp = $(SHELL) $(top_srcdir)/depcomp
67 am__depfiles_maybe = depfiles
68 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
69         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
70 LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
71         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
72         $(AM_CFLAGS) $(CFLAGS)
73 CCLD = $(CC)
74 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
75         $(AM_LDFLAGS) $(LDFLAGS) -o $@
76 SOURCES = $(sd_test_SOURCES)
77 DIST_SOURCES = $(sd_test_SOURCES)
78 ETAGS = etags
79 CTAGS = ctags
80 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
81 ACLOCAL = @ACLOCAL@
82 ADDR2LINE = @ADDR2LINE@
83 AMDEP_FALSE = @AMDEP_FALSE@
84 AMDEP_TRUE = @AMDEP_TRUE@
85 AMTAR = @AMTAR@
86 AM_CFLAGS = -g
87 AR = @AR@
88 AS = @AS@
89 AUTOCONF = @AUTOCONF@
90 AUTOHEADER = @AUTOHEADER@
91 AUTOMAKE = @AUTOMAKE@
92 AWK = @AWK@
93 BASH = @BASH@
94 CC = @CC@
95 CCDEPMODE = @CCDEPMODE@
96 CFLAGS = @CFLAGS@
97 CPP = @CPP@
98 CPPFLAGS = @CPPFLAGS@
99 CXX = @CXX@
100 CXXCPP = @CXXCPP@
101 CXXDEPMODE = @CXXDEPMODE@
102 CXXFLAGS = @CXXFLAGS@
103 CYGPATH_W = @CYGPATH_W@
104 DEFS = @DEFS@
105 DEPDIR = @DEPDIR@
106 DLLTOOL = @DLLTOOL@
107 DOXYGEN = @DOXYGEN@
108 ECHO = @ECHO@
109 ECHO_C = @ECHO_C@
110 ECHO_N = @ECHO_N@
111 ECHO_T = @ECHO_T@
112 EGREP = @EGREP@
113 EXEEXT = @EXEEXT@
114 F77 = @F77@
115 FFLAGS = @FFLAGS@
116 FLEXML = @FLEXML@
117 GRAMINE_MODE_FALSE = @GRAMINE_MODE_FALSE@
118 GRAMINE_MODE_TRUE = @GRAMINE_MODE_TRUE@
119 GRAS_DEP = @GRAS_DEP@
120 GREP = @GREP@
121 GTNETS_CFLAGS = @GTNETS_CFLAGS@
122 GTNETS_LDFLAGS = @GTNETS_LDFLAGS@
123 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
124 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
125 HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
126 HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
127 INSTALL_DATA = @INSTALL_DATA@
128 INSTALL_PROGRAM = @INSTALL_PROGRAM@
129 INSTALL_SCRIPT = @INSTALL_SCRIPT@
130 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
131 LDFLAGS = @LDFLAGS@
132 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
133 LEX = @LEX@
134 LEXLIB = @LEXLIB@
135 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
136 LIBOBJS = @LIBOBJS@
137 LIBS = @LIBS@
138 LIBTOOL = @LIBTOOL@
139 LN_S = @LN_S@
140 LTLIBOBJS = @LTLIBOBJS@
141 MAINT = @MAINT@
142 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
143 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
144 MAKEINFO = @MAKEINFO@
145 MD5SUM = @MD5SUM@
146 OBJDUMP = @OBJDUMP@
147 OBJEXT = @OBJEXT@
148 PACKAGE = @PACKAGE@
149 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
150 PACKAGE_NAME = @PACKAGE_NAME@
151 PACKAGE_STRING = @PACKAGE_STRING@
152 PACKAGE_TARNAME = @PACKAGE_TARNAME@
153 PACKAGE_VERSION = @PACKAGE_VERSION@
154 PATH_SEPARATOR = @PATH_SEPARATOR@
155 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
156 RANLIB = @RANLIB@
157 SET_MAKE = @SET_MAKE@
158 SHELL = @SHELL@
159 SIMGRID_DEP = @SIMGRID_DEP@
160 STRIP = @STRIP@
161 USE_GTNETS_FALSE = @USE_GTNETS_FALSE@
162 USE_GTNETS_TRUE = @USE_GTNETS_TRUE@
163 USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
164 USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
165 VERSION = @VERSION@
166 WARNING = @WARNING@
167 abs_builddir = @abs_builddir@
168 abs_srcdir = @abs_srcdir@
169 abs_top_builddir = @abs_top_builddir@
170 abs_top_srcdir = @abs_top_srcdir@
171 ac_configure_args = @ac_configure_args@
172 ac_ct_CC = @ac_ct_CC@
173 ac_ct_CXX = @ac_ct_CXX@
174 ac_ct_F77 = @ac_ct_F77@
175 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
176 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
177 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
178 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
179 am__include = @am__include@
180 am__leading_dot = @am__leading_dot@
181 am__quote = @am__quote@
182 am__tar = @am__tar@
183 am__untar = @am__untar@
184 bindir = @bindir@
185 build = @build@
186 build_alias = @build_alias@
187 build_cpu = @build_cpu@
188 build_id = @build_id@
189 build_os = @build_os@
190 build_vendor = @build_vendor@
191 datadir = @datadir@
192 datarootdir = @datarootdir@
193 docdir = @docdir@
194 dvidir = @dvidir@
195 exec_prefix = @exec_prefix@
196 host = @host@
197 host_alias = @host_alias@
198 host_cpu = @host_cpu@
199 host_os = @host_os@
200 host_vendor = @host_vendor@
201 htmldir = @htmldir@
202 includedir = @includedir@
203 infodir = @infodir@
204 install_sh = @install_sh@
205 libdir = @libdir@
206 libexecdir = @libexecdir@
207 localedir = @localedir@
208 localstatedir = @localstatedir@
209 mandir = @mandir@
210 mkdir_p = @mkdir_p@
211 oldincludedir = @oldincludedir@
212 pdfdir = @pdfdir@
213 prefix = @prefix@
214 program_transform_name = @program_transform_name@
215 psdir = @psdir@
216 pth_skaddr_makecontext = @pth_skaddr_makecontext@
217 pth_sksize_makecontext = @pth_sksize_makecontext@
218 sbindir = @sbindir@
219 sharedstatedir = @sharedstatedir@
220 sysconfdir = @sysconfdir@
221 target = @target@
222 target_alias = @target_alias@
223 target_cpu = @target_cpu@
224 target_os = @target_os@
225 target_vendor = @target_vendor@
226 INCLUDES = -I$(top_srcdir)/include
227 EXTRA_DIST = small_platform.xml
228 CLEANFILES = sd_test.trace
229 TESTS = test_simdag
230 sd_test_SOURCES = sd_test.c
231 sd_test_LDADD = $(top_builddir)/src/libsimgrid.la
232 all: all-am
233
234 .SUFFIXES:
235 .SUFFIXES: .c .lo .o .obj
236 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
237         @for dep in $?; do \
238           case '$(am__configure_deps)' in \
239             *$$dep*) \
240               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
241                 && exit 0; \
242               exit 1;; \
243           esac; \
244         done; \
245         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/simdag/Makefile'; \
246         cd $(top_srcdir) && \
247           $(AUTOMAKE) --gnu  examples/simdag/Makefile
248 .PRECIOUS: Makefile
249 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
250         @case '$?' in \
251           *config.status*) \
252             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
253           *) \
254             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
255             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
256         esac;
257
258 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
259         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
260
261 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
262         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
263 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
264         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
265 test_simdag: $(top_builddir)/config.status $(srcdir)/test_simdag.in
266         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
267
268 clean-checkPROGRAMS:
269         @list='$(check_PROGRAMS)'; for p in $$list; do \
270           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
271           echo " rm -f $$p $$f"; \
272           rm -f $$p $$f ; \
273         done
274 sd_test$(EXEEXT): $(sd_test_OBJECTS) $(sd_test_DEPENDENCIES) 
275         @rm -f sd_test$(EXEEXT)
276         $(LINK) $(sd_test_LDFLAGS) $(sd_test_OBJECTS) $(sd_test_LDADD) $(LIBS)
277
278 mostlyclean-compile:
279         -rm -f *.$(OBJEXT)
280
281 distclean-compile:
282         -rm -f *.tab.c
283
284 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sd_test.Po@am__quote@
285
286 .c.o:
287 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
288 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
289 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
290 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
291 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
292
293 .c.obj:
294 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
295 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
296 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
297 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
298 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
299
300 .c.lo:
301 @am__fastdepCC_TRUE@    if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
302 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
303 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
304 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
305 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
306
307 mostlyclean-libtool:
308         -rm -f *.lo
309
310 clean-libtool:
311         -rm -rf .libs _libs
312
313 distclean-libtool:
314         -rm -f libtool
315 uninstall-info-am:
316
317 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
318         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
319         unique=`for i in $$list; do \
320             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
321           done | \
322           $(AWK) '    { files[$$0] = 1; } \
323                END { for (i in files) print i; }'`; \
324         mkid -fID $$unique
325 tags: TAGS
326
327 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
328                 $(TAGS_FILES) $(LISP)
329         tags=; \
330         here=`pwd`; \
331         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
332         unique=`for i in $$list; do \
333             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
334           done | \
335           $(AWK) '    { files[$$0] = 1; } \
336                END { for (i in files) print i; }'`; \
337         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
338           test -n "$$unique" || unique=$$empty_fix; \
339           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
340             $$tags $$unique; \
341         fi
342 ctags: CTAGS
343 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
344                 $(TAGS_FILES) $(LISP)
345         tags=; \
346         here=`pwd`; \
347         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
348         unique=`for i in $$list; do \
349             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
350           done | \
351           $(AWK) '    { files[$$0] = 1; } \
352                END { for (i in files) print i; }'`; \
353         test -z "$(CTAGS_ARGS)$$tags$$unique" \
354           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
355              $$tags $$unique
356
357 GTAGS:
358         here=`$(am__cd) $(top_builddir) && pwd` \
359           && cd $(top_srcdir) \
360           && gtags -i $(GTAGS_ARGS) $$here
361
362 distclean-tags:
363         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
364
365 check-TESTS: $(TESTS)
366         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
367         srcdir=$(srcdir); export srcdir; \
368         list='$(TESTS)'; \
369         if test -n "$$list"; then \
370           for tst in $$list; do \
371             if test -f ./$$tst; then dir=./; \
372             elif test -f $$tst; then dir=; \
373             else dir="$(srcdir)/"; fi; \
374             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
375               all=`expr $$all + 1`; \
376               case " $(XFAIL_TESTS) " in \
377               *" $$tst "*) \
378                 xpass=`expr $$xpass + 1`; \
379                 failed=`expr $$failed + 1`; \
380                 echo "XPASS: $$tst"; \
381               ;; \
382               *) \
383                 echo "PASS: $$tst"; \
384               ;; \
385               esac; \
386             elif test $$? -ne 77; then \
387               all=`expr $$all + 1`; \
388               case " $(XFAIL_TESTS) " in \
389               *" $$tst "*) \
390                 xfail=`expr $$xfail + 1`; \
391                 echo "XFAIL: $$tst"; \
392               ;; \
393               *) \
394                 failed=`expr $$failed + 1`; \
395                 echo "FAIL: $$tst"; \
396               ;; \
397               esac; \
398             else \
399               skip=`expr $$skip + 1`; \
400               echo "SKIP: $$tst"; \
401             fi; \
402           done; \
403           if test "$$failed" -eq 0; then \
404             if test "$$xfail" -eq 0; then \
405               banner="All $$all tests passed"; \
406             else \
407               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
408             fi; \
409           else \
410             if test "$$xpass" -eq 0; then \
411               banner="$$failed of $$all tests failed"; \
412             else \
413               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
414             fi; \
415           fi; \
416           dashes="$$banner"; \
417           skipped=""; \
418           if test "$$skip" -ne 0; then \
419             skipped="($$skip tests were not run)"; \
420             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
421               dashes="$$skipped"; \
422           fi; \
423           report=""; \
424           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
425             report="Please report to $(PACKAGE_BUGREPORT)"; \
426             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
427               dashes="$$report"; \
428           fi; \
429           dashes=`echo "$$dashes" | sed s/./=/g`; \
430           echo "$$dashes"; \
431           echo "$$banner"; \
432           test -z "$$skipped" || echo "$$skipped"; \
433           test -z "$$report" || echo "$$report"; \
434           echo "$$dashes"; \
435           test "$$failed" -eq 0; \
436         else :; fi
437
438 distdir: $(DISTFILES)
439         $(mkdir_p) $(distdir)/../../acmacro
440         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
441         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
442         list='$(DISTFILES)'; for file in $$list; do \
443           case $$file in \
444             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
445             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
446           esac; \
447           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
448           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
449           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
450             dir="/$$dir"; \
451             $(mkdir_p) "$(distdir)$$dir"; \
452           else \
453             dir=''; \
454           fi; \
455           if test -d $$d/$$file; then \
456             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
457               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
458             fi; \
459             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
460           else \
461             test -f $(distdir)/$$file \
462             || cp -p $$d/$$file $(distdir)/$$file \
463             || exit 1; \
464           fi; \
465         done
466 check-am: all-am
467         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
468         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
469 check: check-am
470 all-am: Makefile
471 installdirs:
472 install: install-am
473 install-exec: install-exec-am
474 install-data: install-data-am
475 uninstall: uninstall-am
476
477 install-am: all-am
478         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
479
480 installcheck: installcheck-am
481 install-strip:
482         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
483           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
484           `test -z '$(STRIP)' || \
485             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
486 mostlyclean-generic:
487
488 clean-generic:
489         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
490
491 distclean-generic:
492         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
493
494 maintainer-clean-generic:
495         @echo "This command is intended for maintainers to use"
496         @echo "it deletes files that may require special tools to rebuild."
497 clean: clean-am
498
499 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
500         mostlyclean-am
501
502 distclean: distclean-am
503         -rm -rf ./$(DEPDIR)
504         -rm -f Makefile
505 distclean-am: clean-am distclean-compile distclean-generic \
506         distclean-libtool distclean-tags
507
508 dvi: dvi-am
509
510 dvi-am:
511
512 html: html-am
513
514 info: info-am
515
516 info-am:
517
518 install-data-am:
519
520 install-exec-am:
521
522 install-info: install-info-am
523
524 install-man:
525
526 installcheck-am:
527
528 maintainer-clean: maintainer-clean-am
529         -rm -rf ./$(DEPDIR)
530         -rm -f Makefile
531 maintainer-clean-am: distclean-am maintainer-clean-generic
532
533 mostlyclean: mostlyclean-am
534
535 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
536         mostlyclean-libtool
537
538 pdf: pdf-am
539
540 pdf-am:
541
542 ps: ps-am
543
544 ps-am:
545
546 uninstall-am: uninstall-info-am
547
548 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
549         clean-checkPROGRAMS clean-generic clean-libtool ctags \
550         distclean distclean-compile distclean-generic \
551         distclean-libtool distclean-tags distdir dvi dvi-am html \
552         html-am info info-am install install-am install-data \
553         install-data-am install-exec install-exec-am install-info \
554         install-info-am install-man install-strip installcheck \
555         installcheck-am installdirs maintainer-clean \
556         maintainer-clean-generic mostlyclean mostlyclean-compile \
557         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
558         tags uninstall uninstall-am uninstall-info-am
559
560
561 dist-files:
562         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
563         @echo
564         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
565 # Tell versions [3.59,3.63) of GNU make to not export all variables.
566 # Otherwise a system limit (for SysV at least) may be exceeded.
567 .NOEXPORT: